
-- --------------------------------------------------
-- Entity Designer DDL Script for SQL Server 2005, 2008, 2012 and Azure
-- --------------------------------------------------
-- Date Created: 01/19/2021 15:04:24
-- Generated from EDMX file: C:\SD\Dropbox\VS projects\MyHpLaptopPC\WindowsFormsApp67\WindowsFormsApp67\Model1.edmx
-- --------------------------------------------------

SET QUOTED_IDENTIFIER OFF;
GO
USE [CS2021];
GO
IF SCHEMA_ID(N'dbo') IS NULL EXECUTE(N'CREATE SCHEMA [dbo]');
GO

-- --------------------------------------------------
-- Dropping existing FOREIGN KEY constraints
-- --------------------------------------------------

IF OBJECT_ID(N'[dbo].[FK_ContactTelephoneNumber]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[TelephoneNumberSet] DROP CONSTRAINT [FK_ContactTelephoneNumber];
GO

-- --------------------------------------------------
-- Dropping existing tables
-- --------------------------------------------------

IF OBJECT_ID(N'[dbo].[ContactSet]', 'U') IS NOT NULL
    DROP TABLE [dbo].[ContactSet];
GO
IF OBJECT_ID(N'[dbo].[TelephoneNumberSet]', 'U') IS NOT NULL
    DROP TABLE [dbo].[TelephoneNumberSet];
GO

-- --------------------------------------------------
-- Creating all tables
-- --------------------------------------------------

-- Creating table 'ContactSet'
CREATE TABLE [dbo].[ContactSet] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [FullName] nvarchar(max)  NOT NULL,
    [Address] nvarchar(max)  NULL,
    [Email] nvarchar(max)  NULL
);
GO

-- Creating table 'TelephoneNumberSet'
CREATE TABLE [dbo].[TelephoneNumberSet] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Number] nvarchar(max)  NOT NULL,
    [Contact_Id] int  NOT NULL
);
GO

-- --------------------------------------------------
-- Creating all PRIMARY KEY constraints
-- --------------------------------------------------

-- Creating primary key on [Id] in table 'ContactSet'
ALTER TABLE [dbo].[ContactSet]
ADD CONSTRAINT [PK_ContactSet]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'TelephoneNumberSet'
ALTER TABLE [dbo].[TelephoneNumberSet]
ADD CONSTRAINT [PK_TelephoneNumberSet]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- --------------------------------------------------
-- Creating all FOREIGN KEY constraints
-- --------------------------------------------------

-- Creating foreign key on [Contact_Id] in table 'TelephoneNumberSet'
ALTER TABLE [dbo].[TelephoneNumberSet]
ADD CONSTRAINT [FK_ContactTelephoneNumber]
    FOREIGN KEY ([Contact_Id])
    REFERENCES [dbo].[ContactSet]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating non-clustered index for FOREIGN KEY 'FK_ContactTelephoneNumber'
CREATE INDEX [IX_FK_ContactTelephoneNumber]
ON [dbo].[TelephoneNumberSet]
    ([Contact_Id]);
GO

-- --------------------------------------------------
-- Script has ended
-- --------------------------------------------------